function p = psnr1(f,g)
% computes PSNR value  comparing the images f and g (normalized to values in [0,1])
% f - reference image 
% g - reconstructed image 


[N1,N2] = size(f);

z=(f-g).^2;
MSE = sum(sum(z))/(N1*N2);

p = 10*log10(1/MSE);
end
